Skip to main content
`Ctrl`+`K`

# MatKAIJGetTRead

Get a read-only pointer to the transformation matrix `T` associated with the `MATKAIJ` matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJGetTRead(Mat A, PetscInt *m, PetscInt *n, const PetscScalar *T[])

Not Collective; the entire `T` is stored and returned independently on all processes

## Input Parameter

- A - the `MATKAIJ` matrix

## Output Parameters

- m - the number of rows in `T`

- n - the number of columns in `T`

- T - the T matrix, in form of a scalar array in column-major format

## Note

All output parameters are optional (pass `NULL` if not desired)

## See Also

Matrices, `Mat`, `MATKAIJ`, `MatCreateKAIJ()`, `MatGetBlockSizes()`

## Level

advanced

## Location

src/mat/impls/kaij/kaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages